#ifdef PIXEL
extern vec2 position;
extern vec2 resolution;
extern vec3 light_color;

// Star surface shader
// Translated from pure GLSL to Love2d's effect code

#define scale 0.0003

vec4 effect(vec4 c, Image tex, vec2 tc, vec2 pc)
{
	float color;
	vec2 lightpos = resolution * position;
	vec2 norm = lightpos - pc;
	float sdist = norm.x * norm.x + norm.y * norm.y;
	color = 1.0 / (sdist * scale);
	return vec4(color,color,color,1.0)*vec4(light_color,1.0);
}
#endif