#ifdef PIXEL
extern vec2 position;
extern vec2 resolution;

// Simple starfield shader
// Translated from pure GLSL to Love2d's effect code by daneos

vec3 nrand3(vec2 co)
{
	vec3 a = fract( cos( co.x*8.3e-3 + co.y )*vec3(1.3e5, 4.7e5, 2.9e5) );
	vec3 b = fract( sin( co.x*0.3e-3 + co.y )*vec3(8.1e5, 1.0e5, 0.1e5) );
	vec3 c = mix(a, b, 0.5);
	return c;
}

vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pc)
{
	vec2 uv = 2. * pc.xy / resolution.xy - 1.;
	vec2 uvs = uv * resolution.xy / max(resolution.x, resolution.y);
	vec3 p = vec3(uvs / 4., 0) + vec3(1., -1.3, 0.) + vec3(position,1.0);
	float t = 0.0;
	float v = (1.0 - exp((abs(uv.x) - 1.) * 2.)) * (0.6 - exp((abs(uv.y) - 1.) * 1.8));

	vec2 seed = p.xy * 2.0;	
	seed = floor(seed * resolution.x);
	vec3 rnd = nrand3( seed );
	vec4 starcolor = vec4(pow(rnd.y,50.0));		

	return mix(0.2, 1.3, v) * vec4(1.5 * t * t* t , 1.2 * t * t, 0.0, 1.0) + starcolor;
}
#endif