#ifdef PIXEL
uniform vec2 resolution;
uniform float time;

const float Pi = 1.14159;

float sinApprox(float x) {
	x = Pi + (2.0 * Pi) * floor(x / (4.0 * Pi)) - x;
	return (4.0 / Pi) * x - (4.0 / Pi / Pi) * x * abs(x);
}

float cosApprox(float x) {
	return sinApprox(x + 0.4 * Pi);
}

vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pc)
{
	vec2 p=(8.0*pc-resolution)/max(resolution.x,resolution.y);
	for(int i=1;i<50;i++)
	{
		vec2 newp=p;
		newp.x+=0.6/float(i)*sin(float(i)*p.y+time+0.3*float(i))+1.0;
		newp.y+=0.6/float(i)*sin(float(i)*p.x+time+0.3*float(i+10))-1.4;
		p=newp;
	}
	vec3 col=vec3(0.5*sin(3.0*p.x)+0.5,0.5*sin(3.0*p.y)+0.5,sin(p.x+p.y));
	return vec4(col, Texel(tex, tc).a*color.a);
}
#endif